Subject: RE: Copyright status of early RFCs

From: "Contreras, Jorge" <[email-masked]>
Date: Fri, 7 Apr 2006 13:36:29 -0400

Take a look at Section 5.4 of RFC 1602, which redefined
the IETF's IP process originally set forth in RFC 1310:

   5.4.  Rights and Permissions

      In the course of standards work, ISOC receives contributions in
      various forms and from many persons.  To facilitate the wide
      dissemination of these contributions, it is necessary to establish
      specific understandings concerning any copyrights, patents, patent
      applications, or other rights in the contribution.  The procedures
      set forth in this section apply to contributions submitted after 1
      April 1994.  For Internet standards documents published before
      this date (the RFC series has been published continuously since
      April 1969), information on rights and permissions must be sought
      directly from persons claiming rights therein.

-----Original Message-----
From: Brian E Carpenter [mailto:[email-masked]]
Sent: Friday, April 07, 2006 10:44 AM
To: Carl Malamud
Cc: [email-masked]
Subject: Re: Copyright status of early RFCs

Carl Malamud wrote:
> John and Brian -
> 
> My jaw dropped when I saw this query come through.
> 
> I thought that wide replication of the series was the whole
> point.

It is. And I can tell you that the IETF Trust's firm intention
is to maintain this. But the IETF, and the Trust on behalf of the
IETF, can't convey rights it doesn't own, and the question was
about early RFCs. The IETF is a mere 20 years old, younger than
RFC 791 for example. (BTW we should have celebrated the 25th
anniversary of that, I think.)

> If there are issues, I thought they had to do with derivative
> works.  For example, a particularly risk-averse author of a new
> book might query whether "publication of 3 random pages from each
> RFC" falls within the scope of allowable actions.
> 
> I would take the position that checking with authors is not necessary
> because permission has already been granted for replication of unmodified
> RFCs.  It would not seem a stretch for the IETF chair, the IAB, and
> the RFC Editor to take a similar position.

But we are not lawyers. The legal advice has consistently been
to also check with the original authors. That's all I can tell you.

> If a position is taken to the contrary, I would be more than happy
> to undertake the publishing project and invite the relevant parties
> to bring legal action

I'd guess that for all the RFCs that carry the magic words "Distribution
of this memo is unlimited" you'd be on fairly safe ground. But those
words aren't in the early RFCs.

     Brian

> Carl
> 
> 
>>John,
>>
>>At the moment there has been no transfer of rights in the early
>>RFCs to the IETF Trust, so I think you need to ask the
>>RFC Editor, or simply look at
>>http://www.rfc-editor.org/copyright.23Jan01.html
>>
>>IANAL, but I have been told that in any case it is necessary
>>to check with the original authors.
>>
>>    Brian
>>
>>John Levine wrote:
>>
>>>A friend of mine wants to include copies of some early RFCs in a book.
>>>
>>>My understanding is that anything published before 1976 without a
>>>copyright notice, which would presumably include RFCs up through about
>>>number 700, is in the public domain.
>>>
>>>Does the IETF or IAB or RFC Editor take a position on this?
>>>
>>>Regards,
>>>John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
>>>Information Superhighwayman wanna-be, http://www.johnlevine.com, Mayor
>>>"More Wiener schnitzel, please", said Tom, revealingly.
>>>
>>>
>>>_______________________________________________
>>>Ietf mailing list
>>>[email-masked]
>>>https://www1.ietf.org/mailman/listinfo/ietf
>>>
>>>
>>
>>_______________________________________________
>>Ietf mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ietf
>>
> 
> 
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Carl Malamud <[email-masked]>
Date: Fri, 7 Apr 2006 18:38:34 -0700 (PDT)

Hi Jorge -

>       directly from persons claiming rights therein.

I hear you and I suppose a very, very risk averse position would hold to
the letter of that document.  However, John Levine put it very well when
he said:

> Since approximately my entire income depends on copyright law (I write
> books), I have looked at Title 17 and its interpretation pretty
> closely.  I have to conclude that given the facts surrounding the
> early RFCs: pre-1976, no copyright notice, many written on government
> contract, and a history of widespread copying and reuse without
> explicit permission, it'd be extremely hard to make a case that there
> were any limits on their use.
> 
 
I think this is what you folks in the legal profession call a "business
decision."  There is a risk to any sort of action.  As you know, being
right doesn't mean you won't get sued.  But, I'm with John on this one.
RFCs are for all practical purposes in the public domain and it would
be a very gutsy RFC author that went to court and tried to show that
they had systematically defended their copyright over the last X years
and were thus entitled to assert copyright this year.

Carl

---

From: "Anthony G. Atkielski" <[email-masked]>
Date: Sat, 8 Apr 2006 10:23:38 +0200

> and were thus entitled to assert copyright this year.

While many RFCs may have fallen into the public domain, I should point
out that copyright holders need not actively defend their copyrights
in order to keep them.  That is often true for things like trademarks
and trade secrets, but not for copyrights, which retain their full
validity for their entire term, whether they are defended or not.

Note that every message sent by anyone to this mailing list (or any
mailing list, for that matter) is also protected by copyright.  This
remains true whether or not individual authors choose to defend their
copyrights.